### Method

# GtkSource CompletionContext list_providers

since: 5.6

#### Declaration [src]

    GListModel*
    gtk_source_completion_context_list_providers (
      GtkSourceCompletionContext* self
    )

#### Description [src]

Gets the providers that are associated with the context.

Available since: 5.6

#### Return value

Type: A list model of `GObject`

A `GListModel` of `GtkSourceCompletionProvider`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.